API DocumentationLoad Balancers
Update Load Balancer Name
Update the name of an existing load balancer.
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
lb_id*string
A unique identifier for a load balancer instance.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X PATCH "https://example.com/v1/lbs/550e8400-e29b-41d4-a716-446655440000/name" \ -H "Content-Type: application/json" \ -d '{ "name": "my-load-balancer" }'null{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}